### Method

# FwupdPlugin Hwids get_guid

#### Declaration [src]

    gchar*
    fu_hwids_get_guid (
      FuHwids* self,
      const gchar* keys,
      GError** error
    )

#### Description [src]

Gets the GUID for a specific key.

Available since: | 0.9.3

#### Parameters

`keys` | `const gchar*`
| A key, e.g. `HardwareID-3` or `FU_HWIDS_KEY_PRODUCT_SKU`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A string, or `NULL` for error.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.